Skip to main content
GET
/
networks
/
campaigns
/
{campaignId}
Get Smart Link by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/campaigns/{campaignId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_campaign_id": 123,
  "network_id": 123,
  "campaign_name": "<string>",
  "campaign_status": "active",
  "network_tracking_domain_id": 123,
  "is_use_secure_link": true,
  "redirect_routing_type": "priority",
  "catch_all_network_offer_id": 123,
  "is_open_to_affiliates": true,
  "run_frequency": "12_hours",
  "metric": "profit",
  "optimization_goal": 123,
  "data_lookback_window": "12_hours",
  "data_collection_threshold": 123,
  "time_created": 123,
  "time_saved": 123,
  "relationship": {
    "redirects": [
      {
        "redirect_network_offer_id": 123,
        "redirect_network_offer_url_id": 123,
        "routing_value": 123,
        "ruleset": {}
      }
    ],
    "labels": [
      "<string>"
    ],
    "encoded_value": "<string>"
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

campaignId
integer
required

The smart link (campaign) identifier.

Response

200 - application/json

OK

network_campaign_id
integer

Unique smart link (campaign) ID.

network_id
integer

Network ID.

campaign_name
string

Smart link name.

campaign_status
enum<string>

Smart link status.

Available options:
active,
paused,
deleted
network_tracking_domain_id
integer

Tracking domain ID.

Whether to use a secure (HTTPS) link.

redirect_routing_type
enum<string>

Routing strategy for redirects.

Available options:
priority,
weight,
kpi
catch_all_network_offer_id
integer

Fallback offer ID when no redirect matches.

is_open_to_affiliates
boolean

Whether the smart link is open to all affiliates.

run_frequency
enum<string>

KPI optimization run frequency (only for KPI routing).

Available options:
12_hours,
24_hours
metric
enum<string>

KPI optimization metric (only for KPI routing).

Available options:
profit,
cvr,
evr,
conversions,
payout,
revenue
optimization_goal
integer

KPI optimization goal value (only for KPI routing).

data_lookback_window
enum<string>

Data lookback window for KPI optimization (only for KPI routing).

Available options:
12_hours,
24_hours,
48_hours
data_collection_threshold
integer

Minimum data points before optimization (only for KPI routing).

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object